Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::indirect_fn Struct Reference

## Synopsis of methods
constexpr view_closure< indirect_fn > | indirect {}

## Public Member Functions
template<typename Rng >
constexpr auto | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

constexpr auto ranges::views::indirect_fn::operator() | ( | Rng && | rng | ) | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && // We shouldn't need to strip references to test if something // is readable. https://github.com/ericniebler/stl2/issues/594 // indirectly_readable<range_reference_t<Rng>>) ((bool)indirectly_readable<range_value_t<Rng>>)` // Cast to bool needed